function [D] = calculatePC(E, Y)

%% %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Calculation of principle components (PCs) by projecting the original data
% onto the basis of the EOFs.
% --Input--
%   Y               matrix containing the time series of gridded data sets 
%                   (n x p)
%   E               matrix containing in its columns the eigenvectors
%                   (EOFs) of the covariance matrix C. EOFs are sorted 
%                   according to size of corresponding eigenvalue (n x p).
%
% --Output--
%   D               matrix containing the principle components in its row
%                   (p x p)
%
%
% Author: Anne Springer
% Date:  2020-09-16
%% %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

D = E'*Y;

end