function showEigenvalues(eigenvalues, titleString)


%% %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Visualization of the evolution of the eigenvalues.
%
% --Input--
%   eigenvalues              vector of eigenvalues (p x 1)
%   titleString              string with title
%
% --Output--
%   Plot of the eigenvalues.
%
%
% Author: Anne Springer
% Date:  2020-09-16
%% %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

figure('Position',[1,1,500,300]);
hold on
set(gca,'FontSize',12);
plot(eigenvalues,'-bs','LineWidth',2,'Marker','o','MarkerSize',5);
plot(eigenvalues,'-r','LineWidth',2);
title('Eigenvalues')
title(strcat(titleString,'Eigenvalues'))
set(gcf,'name',strcat(titleString,'Eigenvalues'))

end