%% %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Convert time given as years and months to decimal years
%
% --Input--
%   years           vector with years (p x 1)
%   months          vector with months(p x 1)
%
% --Output--
%   t               vector with time in decimal years (p x 1)
%
% Author: Anne Springer
% Date:  2020-09-16
%% %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
function t = time2decimalYears(years, months)

t = zeros(size(years));
for i = 1:length(years)
    jd = cal2jd(years(i),months(i),1);
    t(i) = jd2yr(jd);
end

return